from .transform import Transform
from .spatial_transform import SpatialTransform
from .intensity_transform import IntensityTransform
from .interpolation import Interpolation, get_sitk_interpolator

# Generic
from .lambda_transform import Lambda

# Augmentation
from .augmentation.composition import OneOf
from .augmentation.composition import Compose

from .augmentation.spatial import RandomFlip
from .augmentation.spatial import RandomAffine
from .augmentation.spatial import RandomDownsample
from .augmentation.spatial import RandomElasticDeformation

from .augmentation.intensity import RandomSwap
from .augmentation.intensity import RandomBlur
from .augmentation.intensity import RandomNoise
from .augmentation.intensity import RandomSpike
from .augmentation.intensity import RandomGamma
from .augmentation.intensity import RandomMotion
from .augmentation.intensity import RandomGhosting
from .augmentation.intensity import RandomBiasField
from .augmentation.intensity import RandomLabelsToImage

# Preprocessing
from .preprocessing import Pad
from .preprocessing import Crop
from .preprocessing import Resample
from .preprocessing import ToCanonical
from .preprocessing import ZNormalization
from .preprocessing import HistogramStandardization
from .preprocessing import Rescale, RescaleIntensity
from .preprocessing import CropOrPad, CenterCropOrPad
from .preprocessing.intensity.histogram_standardization import train as train_histogram
